<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:05 CET 2009 -->
<TITLE>
QuaternaryOperator
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.operator.QuaternaryOperator interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="QuaternaryOperator";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/QuaternaryOperator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/NullaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/operator/QuaternaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="QuaternaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.operator</FONT>
<BR>
Interface QuaternaryOperator&lt;T,A&gt;</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator">NAryOperator</A>&lt;T,A&gt;</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/math/operator/AbstractQuaternaryOperator.html" title="class in ch.javasoft.math.operator">AbstractQuaternaryOperator</A>, <A HREF="../../../../ch/javasoft/math/operator/compose/BinaryBinaryOperator.html" title="class in ch.javasoft.math.operator.compose">BinaryBinaryOperator</A>, <A HREF="../../../../ch/javasoft/math/operator/compose/ConcatQuaternaryOperator.html" title="class in ch.javasoft.math.operator.compose">ConcatQuaternaryOperator</A>, <A HREF="../../../../ch/javasoft/math/operator/compose/NullaryQuaternaryOperator.html" title="class in ch.javasoft.math.operator.compose">NullaryQuaternaryOperator</A>, <A HREF="../../../../ch/javasoft/math/operator/compose/QuaternaryNullaryOperator.html" title="class in ch.javasoft.math.operator.compose">QuaternaryNullaryOperator</A>, <A HREF="../../../../ch/javasoft/math/operator/compose/TernaryUnaryOperator.html" title="class in ch.javasoft.math.operator.compose">TernaryUnaryOperator</A>, <A HREF="../../../../ch/javasoft/math/operator/compose/UnaryTernaryOperator.html" title="class in ch.javasoft.math.operator.compose">UnaryTernaryOperator</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/math/operator/QuaternaryOperator.html#line.45"><B>QuaternaryOperator&lt;T,A&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator">NAryOperator</A>&lt;T,A&gt;</DL>
</PRE>

<P>
The <code>QuaternaryOperator</code> performs an operation on four operands 
 and returns an output of the same type. Quaternary operators typically arise 
 from concatenation of <A HREF="../../../../ch/javasoft/math/operator/BinaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>binary</CODE></A> and
 <A HREF="../../../../ch/javasoft/math/operator/UnaryOperator.html" title="interface in ch.javasoft.math.operator"><CODE>unary</CODE></A> operators.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html#operate(A, int, A, int, A, int, A, int, A, int)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">A</A>&nbsp;operand1,
               int&nbsp;index1,
               <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">A</A>&nbsp;operand2,
               int&nbsp;index2,
               <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">A</A>&nbsp;operand3,
               int&nbsp;index3,
               <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">A</A>&nbsp;operand4,
               int&nbsp;index4,
               <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">A</A>&nbsp;dst,
               int&nbsp;dstIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the binary operation &oplus; on two vector elements, also 
 writing the result back into a vector:</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html#operate(T, T, T, T)">operate</A></B>(<A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">T</A>&nbsp;operand1,
               <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">T</A>&nbsp;operand2,
               <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">T</A>&nbsp;operand3,
               <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">T</A>&nbsp;operand4)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs the binary operation &oplus; on two operands and returns the 
 result:</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.math.operator.NAryOperator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.math.operator.<A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html" title="interface in ch.javasoft.math.operator">NAryOperator</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html#getOperandCount()">getOperandCount</A>, <A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html#operate(int, A[], int[], A, int)">operate</A>, <A HREF="../../../../ch/javasoft/math/operator/NAryOperator.html#operate(int, T...)">operate</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="operate(java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="operate(T, T, T, T)"><!-- --></A><H3>
operate</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">T</A> <A HREF="../../../../src-html/ch/javasoft/math/operator/QuaternaryOperator.html#line.59"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">T</A>&nbsp;operand1,
          <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">T</A>&nbsp;operand2,
          <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">T</A>&nbsp;operand3,
          <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">T</A>&nbsp;operand4)</PRE>
<DL>
<DD>Performs the binary operation &oplus; on two operands and returns the 
 result:
 <pre>
   return = &oplus; ( operand1 , operand2 , operand3 )
 </pre>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>operand1</CODE> - the first operand to operate on<DD><CODE>operand2</CODE> - the second operand to operate on<DD><CODE>operand3</CODE> - the third operand to operate on<DD><CODE>operand4</CODE> - the fourth operand to operate on
<DT><B>Returns:</B><DD>the result of the binary operation</DL>
</DD>
</DL>
<HR>

<A NAME="operate(java.lang.Object,int,java.lang.Object,int,java.lang.Object,int,java.lang.Object,int,java.lang.Object,int)"><!-- --></A><A NAME="operate(A, int, A, int, A, int, A, int, A, int)"><!-- --></A><H3>
operate</H3>
<PRE>
void <A HREF="../../../../src-html/ch/javasoft/math/operator/QuaternaryOperator.html#line.79"><B>operate</B></A>(<A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">A</A>&nbsp;operand1,
             int&nbsp;index1,
             <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">A</A>&nbsp;operand2,
             int&nbsp;index2,
             <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">A</A>&nbsp;operand3,
             int&nbsp;index3,
             <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">A</A>&nbsp;operand4,
             int&nbsp;index4,
             <A HREF="../../../../ch/javasoft/math/operator/QuaternaryOperator.html" title="type parameter in QuaternaryOperator">A</A>&nbsp;dst,
             int&nbsp;dstIndex)</PRE>
<DL>
<DD>Performs the binary operation &oplus; on two vector elements, also 
 writing the result back into a vector:
 <pre>
   dst[dstIndex] = &oplus; ( operand1[index1] , operand2[index2] , operand3[index3] , operand4[index4] )
 </pre>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>operand1</CODE> - the first operand array<DD><CODE>index1</CODE> - the index in the first operand's array<DD><CODE>operand2</CODE> - the second operand array<DD><CODE>index2</CODE> - the index in the second operand's array<DD><CODE>operand3</CODE> - the third operand array<DD><CODE>index3</CODE> - the index in the third operand's array<DD><CODE>operand4</CODE> - the fourth operand array<DD><CODE>index4</CODE> - the index in the fourth operand's array<DD><CODE>dst</CODE> - the result array<DD><CODE>dstIndex</CODE> - the index in the result array</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/QuaternaryOperator.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/NullaryOperator.Id.html" title="enum in ch.javasoft.math.operator"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/math/operator/TernaryOperator.html" title="interface in ch.javasoft.math.operator"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/math/operator/QuaternaryOperator.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="QuaternaryOperator.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
